Attribute VB_Name = "Encryption"
Option Explicit
' This simple routine adds numeric strings
' digit-wise mod 10. A real application should
' do something much more secure.
Public Function Encrypt(ByVal plaintext As String, ByVal key As String) As String
Dim result As String
Dim i As Long
Dim pdigit As Long
Dim kdigit As Long
Dim rdigit  As Long

    ' Make sure the key is long enough.
    If Len(key) < 1 Then Exit Function
    Do While Len(key) < Len(plaintext)
        key = key & key
    Loop

    ' Combine the plaintext and key.
    For i = 1 To Len(plaintext)
        pdigit = CLng(Mid$(plaintext, i, 1))
        kdigit = CLng(Mid$(key, i, 1))
        rdigit = (pdigit + kdigit) Mod 10
        result = result & Format$(rdigit)
    Next i

    Encrypt = result
End Function
