VERSION 5.00
Begin VB.Form frmProduct 
   Caption         =   "Product"
   ClientHeight    =   1485
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   1485
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Here's the program!"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   4455
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileUnregister 
         Caption         =   "&Unregister"
      End
   End
End
Attribute VB_Name = "frmProduct"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Return True if the program is registered.
Private Function IsRegistered() As Boolean
Dim combined_serial As String
Dim reg_code As String
Dim reg_result As String

    ' Get the combined product and
    ' disk serial number.
    combined_serial = GetCombinedSerialNumber()

    ' See if the product is registered.
    On Error Resume Next
    reg_code = GetSetting(g_APPNAME, "Options", "RegCode", "")
    reg_result = GetSetting(g_APPNAME, "Options", "RegResult", "")
    On Error GoTo 0
    If Not (reg_code Like "[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]") Or _
       Not (reg_result Like "[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]") Then
        IsRegistered = False
        Exit Function
    End If

    ' Combine the serial number and the RegCode
    ' in some manner. For example, use RegCode
    ' as the key to encrypt the serial number.
    ' Then see if this matches RegResult.
    IsRegistered = ( _
        Encrypt(combined_serial, reg_code) = reg_result)
End Function
Private Sub Form_Load()
    ' See if the program is registered.
    Do While Not IsRegistered()
        ' Not registered.
        ' Let the user try to register.
        frmRegistration.Show vbModal
        If ExitApp Then
            ' The user canceled. Exit.
            Unload Me
            Exit Sub
        End If
    Loop

    ' Do whatever to get the program ready.
    
End Sub

Private Sub mnuFileUnregister_Click()
    DeleteSetting g_APPNAME, "Options", "RegCode"
    DeleteSetting g_APPNAME, "Options", "RegResult"

    Me.Hide
    Form_Load
End Sub


